Installation of PAM Agent 4.3.03 fails / does not start

Document ID : KB000113346
Last Modified Date : 18/09/2018
Show Technical Document Details
Issue:
Installation of PAM Agent 4.3.03 fails / does not start

Description    
I have upgraded the PAM Orchestrator to Version 4.3.03 and now I am trying to upgrade my Agent from 4.3.02 to 4.3.03 too. 
When I start the Java-Installer for PAM Agent 4.3.03, the Startup runs into the following error: 

______ 
Java Web Start 11.66.2.18 
Using JRE version 1.8.0_66-b18 Java HotSpot(TM) 64-Bit Server VM 

Missing Application-Name manifest attribute for: 
log4j:WARN No appenders could be found for logger (com.optinuity.c2o.util.https.InstallCert). 
log4j:WARN Please initialize the log4j system properly. 

I have also tested with the latest Java JDK/JRE Version 1.8.0_181, but I run into the same error.
Environment:
Orchestrator: 
Java: jdk1.8.0_181 
From config file : 
#******************************************************************** 
# Wrapper Properties 
#******************************************************************** 
# Java Application 
wrapper.java.command=d:/java/jdk1.8.0_181/bin/java 
wrapper.java.mainclass=org.tanukisoftware.wrapper.WrapperSimpleApp 
wrapper.java.classpath.1=ext-lib/wrapper.jar 
wrapper.java.classpath.2=d:/java/jdk1.8.0_181/lib/tools.jar 
OS : Windows Server 2012 R2 

Agent: 
Java: jdk1.8.0_66 and jdk1.8.0_181 
PATH: Pointing to jdk1.8.0_181 Install-dir 
JAVA_HOME: Pointing to jdk1.8.0_181 Install-dir 
OS : Windows Server 2012 R2 
Resolution:
 issue resolved by disabling Windows UAC during the installation.